aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2009-10-20 21:46:57 -0400
committerAvatar Mike Kelly <pioto@pioto.org> 2009-10-20 21:46:57 -0400
commit4eca6177a8e87e907b60c133144354fbfb4fbc29 (patch)
tree81a4d7f53b928731f9b7d18f7cd9b011c74e18d7
parent45704db9440727afb2d6b17884e3367ca503497a (diff)
downloadpaludis-4eca6177a8e87e907b60c133144354fbfb4fbc29.tar.gz
paludis-4eca6177a8e87e907b60c133144354fbfb4fbc29.tar.xz
Add edo()
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/build_functions.bash8
1 files changed, 8 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
index 567033b..e15955f 100644
--- a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
@@ -4,6 +4,7 @@
# Copyright (c) 2006, 2007, 2008, 2009 Ciaran McCreesh
# Copyright (c) 2008 Bo ├śrsted Andresen
# Copyright (c) 2009 David Leverton
+# Copyright (c) 2009 Mike Kelly
#
# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
# Gentoo Foundation and distributed under the terms of the GNU General
@@ -219,3 +220,10 @@ emagicdocs()
fi
[[ -n ${old_set} ]] || shopt -u nocaseglob
}
+
+edo()
+{
+ echo "$@"
+ "$@" || paludis_die_unless_nonfatal || return 247
+}
+